# CCM User Context Service

Cloud Core Management Services: User Context Service
APIs that support Access Token:
- /v1/currentContext

No whitelisting required.

```plain ClientID
ccm-user-context-cfsservice.slbservice.com
```

Version: 1.0.0.0

## Servers

US
```
https://api.delfi.slb.com/ccm/userContext
```

EU
```
https://eu-api.delfi.slb.com/ccm/userContext
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

### appkey

AppKey/ConsumerKey from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [CCM User Context Service](https://developer.slb.com/_bundle/solutions/ccm/apis/CCM-User-Context-Service.yaml)

## user-context-service

 - [GET /v1/currentContext](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/user-context-service/getcurrentusercontext.md): - Retrieve the current context of the user. - The user is identified through their user-principal, as indicated by the email claim in the JWT token within the authorization header. - The API caller is
 - [PUT /v1/currentContext](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/user-context-service/putcurrentusercontext.md): - Update the context of the user. - The user is identified through their user-principal, as indicated by the email claim in the JWT token within the authorization header. - The API caller is authentic
## Schema Definitions

 - [Account](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/schema-definitions/account.md): Schema: #/components/schemas/Account
 - [Department](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/schema-definitions/department.md): Schema: #/components/schemas/Department
 - [Contract](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/schema-definitions/contract.md): Schema: #/components/schemas/Contract
 - [DataPartition](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/schema-definitions/datapartition.md): Schema: #/components/schemas/DataPartition
 - [GetContext](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/schema-definitions/getcontext.md): Schema: #/components/schemas/GetContext
 - [PutContext](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/schema-definitions/putcontext.md): Schema: #/components/schemas/PutContext
 - [SimpleResponse](https://developer.slb.com/solutions/ccm/apis/ccm-user-context-service/schema-definitions/simpleresponse.md): Schema: #/components/schemas/SimpleResponse
